org.keycloak.services.messages

## Class Messages

- java.lang.Object
- - org.keycloak.services.messages.Messages

-     public class Messages
      extends Object

  Author:
    Stian Thorgersen

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ACCOUNT_DISABLED`
    `static String` | `ACCOUNT_PASSWORD_UPDATED`
    `static String` | `ACCOUNT_TEMPORARILY_DISABLED`
    `static String` | `ACCOUNT_UPDATED`
    `static String` | `BEARER_ONLY`
    `static String` | `CLIENT_NOT_FOUND`
    `static String` | `CONFIGURE_TOTP`
    `static String` | `COULD_NOT_OBTAIN_TOKEN`
    `static String` | `COULD_NOT_PROCEED_WITH_AUTHENTICATION_REQUEST`
    `static String` | `COULD_NOT_SEND_AUTHENTICATION_REQUEST`
    `static String` | `DIRECT_GRANTS_ONLY`
    `static String` | `EMAIL_EXISTS`
    `static String` | `EMAIL_SENT`
    `static String` | `EMAIL_SENT_ERROR`
    `static String` | `EMAIL_VERIFIED`
    `static String` | `EXPIRED_CODE`
    `static String` | `FAILED_TO_PROCESS_RESPONSE`
    `static String` | `FEDERATED_IDENTITY_EMAIL_EXISTS`
    `static String` | `FEDERATED_IDENTITY_NOT_ACTIVE`
    `static String` | `FEDERATED_IDENTITY_REMOVING_LAST_PROVIDER`
    `static String` | `FEDERATED_IDENTITY_USERNAME_EXISTS`
    `static String` | `HTTPS_REQUIRED`
    `static String` | `IDENTITY_PROVIDER_ALREADY_LINKED`
    `static String` | `IDENTITY_PROVIDER_AUTHENTICATION_FAILED`
    `static String` | `IDENTITY_PROVIDER_LOGIN_FAILURE`
    `static String` | `IDENTITY_PROVIDER_NOT_FOUND`
    `static String` | `IDENTITY_PROVIDER_NOT_UNIQUE`
    `static String` | `IDENTITY_PROVIDER_REDIRECT_ERROR`
    `static String` | `IDENTITY_PROVIDER_REMOVED`
    `static String` | `IDENTITY_PROVIDER_UNEXPECTED_ERROR`
    `static String` | `INSUFFICIENT_PERMISSION`
    `static String` | `INVALID_ACCESS_CODE`
    `static String` | `INVALID_CODE`
    `static String` | `INVALID_EMAIL`
    `static String` | `INVALID_FEDERATED_IDENTITY_ACTION`
    `static String` | `INVALID_PARAMETER`
    `static String` | `INVALID_PASSWORD_CONFIRM`
    `static String` | `INVALID_PASSWORD_EXISTING`
    `static String` | `INVALID_REDIRECT_URI`
    `static String` | `INVALID_REQUEST`
    `static String` | `INVALID_REQUESTER`
    `static String` | `INVALID_TOTP`
    `static String` | `INVALID_USER`
    `static String` | `LOGIN_REQUESTER_NOT_ENABLED`
    `static String` | `MISSING_EMAIL`
    `static String` | `MISSING_FIRST_NAME`
    `static String` | `MISSING_IDENTITY_PROVIDER`
    `static String` | `MISSING_LAST_NAME`
    `static String` | `MISSING_PARAMETER`
    `static String` | `MISSING_PASSWORD`
    `static String` | `MISSING_TOTP`
    `static String` | `MISSING_USERNAME`
    `static String` | `NO_ACCESS`
    `static String` | `NO_RELAY_STATE_IN_RESPONSE`
    `static String` | `NOTMATCH_PASSWORD`
    `static String` | `PERMISSION_NOT_APPROVED`
    `static String` | `READ_ONLY_PASSWORD`
    `static String` | `READ_ONLY_USER`
    `static String` | `REALM_NOT_ENABLED`
    `static String` | `REALM_SUPPORTS_NO_CREDENTIALS`
    `static String` | `REGISTRATION_NOT_ALLOWED`
    `static String` | `SESSION_NOT_ACTIVE`
    `static String` | `SUCCESS_TOTP`
    `static String` | `SUCCESS_TOTP_REMOVED`
    `static String` | `UNEXPECTED_ERROR_HANDLING_REQUEST`
    `static String` | `UNEXPECTED_ERROR_HANDLING_RESPONSE`
    `static String` | `UNEXPECTED_ERROR_RETRIEVING_TOKEN`
    `static String` | `UNKNOWN_CODE`
    `static String` | `UNKNOWN_LOGIN_REQUESTER`
    `static String` | `UNSUPPORTED_NAME_ID_FORMAT`
    `static String` | `UPDATE_PASSWORD`
    `static String` | `UPDATE_PROFILE`
    `static String` | `USERNAME_EXISTS`
    `static String` | `VERIFY_EMAIL`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Messages()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### INVALID_USER

          public static final String INVALID_USER

      See Also:
        Constant Field Values

    - #### INVALID_EMAIL

          public static final String INVALID_EMAIL

      See Also:
        Constant Field Values

    - #### ACCOUNT_DISABLED

          public static final String ACCOUNT_DISABLED

      See Also:
        Constant Field Values

    - #### ACCOUNT_TEMPORARILY_DISABLED

          public static final String ACCOUNT_TEMPORARILY_DISABLED

      See Also:
        Constant Field Values

    - #### EXPIRED_CODE

          public static final String EXPIRED_CODE

      See Also:
        Constant Field Values

    - #### MISSING_FIRST_NAME

          public static final String MISSING_FIRST_NAME

      See Also:
        Constant Field Values

    - #### MISSING_LAST_NAME

          public static final String MISSING_LAST_NAME

      See Also:
        Constant Field Values

    - #### MISSING_EMAIL

          public static final String MISSING_EMAIL

      See Also:
        Constant Field Values

    - #### MISSING_USERNAME

          public static final String MISSING_USERNAME

      See Also:
        Constant Field Values

    - #### MISSING_PASSWORD

          public static final String MISSING_PASSWORD

      See Also:
        Constant Field Values

    - #### MISSING_TOTP

          public static final String MISSING_TOTP

      See Also:
        Constant Field Values

    - #### NOTMATCH_PASSWORD

          public static final String NOTMATCH_PASSWORD

      See Also:
        Constant Field Values

    - #### INVALID_PASSWORD_EXISTING

          public static final String INVALID_PASSWORD_EXISTING

      See Also:
        Constant Field Values

    - #### INVALID_PASSWORD_CONFIRM

          public static final String INVALID_PASSWORD_CONFIRM

      See Also:
        Constant Field Values

    - #### INVALID_TOTP

          public static final String INVALID_TOTP

      See Also:
        Constant Field Values

    - #### USERNAME_EXISTS

          public static final String USERNAME_EXISTS

      See Also:
        Constant Field Values

    - #### EMAIL_EXISTS

          public static final String EMAIL_EXISTS

      See Also:
        Constant Field Values

    - #### FEDERATED_IDENTITY_EMAIL_EXISTS

          public static final String FEDERATED_IDENTITY_EMAIL_EXISTS

      See Also:
        Constant Field Values

    - #### FEDERATED_IDENTITY_USERNAME_EXISTS

          public static final String FEDERATED_IDENTITY_USERNAME_EXISTS

      See Also:
        Constant Field Values

    - #### CONFIGURE_TOTP

          public static final String CONFIGURE_TOTP

      See Also:
        Constant Field Values

    - #### UPDATE_PROFILE

          public static final String UPDATE_PROFILE

      See Also:
        Constant Field Values

    - #### UPDATE_PASSWORD

          public static final String UPDATE_PASSWORD

      See Also:
        Constant Field Values

    - #### VERIFY_EMAIL

          public static final String VERIFY_EMAIL

      See Also:
        Constant Field Values

    - #### EMAIL_VERIFIED

          public static final String EMAIL_VERIFIED

      See Also:
        Constant Field Values

    - #### EMAIL_SENT

          public static final String EMAIL_SENT

      See Also:
        Constant Field Values

    - #### EMAIL_SENT_ERROR

          public static final String EMAIL_SENT_ERROR

      See Also:
        Constant Field Values

    - #### ACCOUNT_UPDATED

          public static final String ACCOUNT_UPDATED

      See Also:
        Constant Field Values

    - #### ACCOUNT_PASSWORD_UPDATED

          public static final String ACCOUNT_PASSWORD_UPDATED

      See Also:
        Constant Field Values

    - #### NO_ACCESS

          public static final String NO_ACCESS

      See Also:
        Constant Field Values

    - #### FAILED_TO_PROCESS_RESPONSE

          public static final String FAILED_TO_PROCESS_RESPONSE

      See Also:
        Constant Field Values

    - #### HTTPS_REQUIRED

          public static final String HTTPS_REQUIRED

      See Also:
        Constant Field Values

    - #### REALM_NOT_ENABLED

          public static final String REALM_NOT_ENABLED

      See Also:
        Constant Field Values

    - #### INVALID_REQUEST

          public static final String INVALID_REQUEST

      See Also:
        Constant Field Values

    - #### INVALID_REQUESTER

          public static final String INVALID_REQUESTER

      See Also:
        Constant Field Values

    - #### UNKNOWN_LOGIN_REQUESTER

          public static final String UNKNOWN_LOGIN_REQUESTER

      See Also:
        Constant Field Values

    - #### LOGIN_REQUESTER_NOT_ENABLED

          public static final String LOGIN_REQUESTER_NOT_ENABLED

      See Also:
        Constant Field Values

    - #### BEARER_ONLY

          public static final String BEARER_ONLY

      See Also:
        Constant Field Values

    - #### DIRECT_GRANTS_ONLY

          public static final String DIRECT_GRANTS_ONLY

      See Also:
        Constant Field Values

    - #### INVALID_REDIRECT_URI

          public static final String INVALID_REDIRECT_URI

      See Also:
        Constant Field Values

    - #### UNSUPPORTED_NAME_ID_FORMAT

          public static final String UNSUPPORTED_NAME_ID_FORMAT

      See Also:
        Constant Field Values

    - #### REGISTRATION_NOT_ALLOWED

          public static final String REGISTRATION_NOT_ALLOWED

      See Also:
        Constant Field Values

    - #### PERMISSION_NOT_APPROVED

          public static final String PERMISSION_NOT_APPROVED

      See Also:
        Constant Field Values

    - #### NO_RELAY_STATE_IN_RESPONSE

          public static final String NO_RELAY_STATE_IN_RESPONSE

      See Also:
        Constant Field Values

    - #### IDENTITY_PROVIDER_ALREADY_LINKED

          public static final String IDENTITY_PROVIDER_ALREADY_LINKED

      See Also:
        Constant Field Values

    - #### INSUFFICIENT_PERMISSION

          public static final String INSUFFICIENT_PERMISSION

      See Also:
        Constant Field Values

    - #### COULD_NOT_PROCEED_WITH_AUTHENTICATION_REQUEST

          public static final String COULD_NOT_PROCEED_WITH_AUTHENTICATION_REQUEST

      See Also:
        Constant Field Values

    - #### COULD_NOT_OBTAIN_TOKEN

          public static final String COULD_NOT_OBTAIN_TOKEN

      See Also:
        Constant Field Values

    - #### UNEXPECTED_ERROR_RETRIEVING_TOKEN

          public static final String UNEXPECTED_ERROR_RETRIEVING_TOKEN

      See Also:
        Constant Field Values

    - #### IDENTITY_PROVIDER_AUTHENTICATION_FAILED

          public static final String IDENTITY_PROVIDER_AUTHENTICATION_FAILED

      See Also:
        Constant Field Values

    - #### UNEXPECTED_ERROR_HANDLING_RESPONSE

          public static final String UNEXPECTED_ERROR_HANDLING_RESPONSE

      See Also:
        Constant Field Values

    - #### COULD_NOT_SEND_AUTHENTICATION_REQUEST

          public static final String COULD_NOT_SEND_AUTHENTICATION_REQUEST

      See Also:
        Constant Field Values

    - #### UNEXPECTED_ERROR_HANDLING_REQUEST

          public static final String UNEXPECTED_ERROR_HANDLING_REQUEST

      See Also:
        Constant Field Values

    - #### INVALID_ACCESS_CODE

          public static final String INVALID_ACCESS_CODE

      See Also:
        Constant Field Values

    - #### SESSION_NOT_ACTIVE

          public static final String SESSION_NOT_ACTIVE

      See Also:
        Constant Field Values

    - #### UNKNOWN_CODE

          public static final String UNKNOWN_CODE

      See Also:
        Constant Field Values

    - #### INVALID_CODE

          public static final String INVALID_CODE

      See Also:
        Constant Field Values

    - #### IDENTITY_PROVIDER_UNEXPECTED_ERROR

          public static final String IDENTITY_PROVIDER_UNEXPECTED_ERROR

      See Also:
        Constant Field Values

    - #### IDENTITY_PROVIDER_NOT_FOUND

          public static final String IDENTITY_PROVIDER_NOT_FOUND

      See Also:
        Constant Field Values

    - #### IDENTITY_PROVIDER_NOT_UNIQUE

          public static final String IDENTITY_PROVIDER_NOT_UNIQUE

      See Also:
        Constant Field Values

    - #### REALM_SUPPORTS_NO_CREDENTIALS

          public static final String REALM_SUPPORTS_NO_CREDENTIALS

      See Also:
        Constant Field Values

    - #### READ_ONLY_USER

          public static final String READ_ONLY_USER

      See Also:
        Constant Field Values

    - #### READ_ONLY_PASSWORD

          public static final String READ_ONLY_PASSWORD

      See Also:
        Constant Field Values

    - #### SUCCESS_TOTP_REMOVED

          public static final String SUCCESS_TOTP_REMOVED

      See Also:
        Constant Field Values

    - #### SUCCESS_TOTP

          public static final String SUCCESS_TOTP

      See Also:
        Constant Field Values

    - #### MISSING_IDENTITY_PROVIDER

          public static final String MISSING_IDENTITY_PROVIDER

      See Also:
        Constant Field Values

    - #### INVALID_FEDERATED_IDENTITY_ACTION

          public static final String INVALID_FEDERATED_IDENTITY_ACTION

      See Also:
        Constant Field Values

    - #### FEDERATED_IDENTITY_NOT_ACTIVE

          public static final String FEDERATED_IDENTITY_NOT_ACTIVE

      See Also:
        Constant Field Values

    - #### FEDERATED_IDENTITY_REMOVING_LAST_PROVIDER

          public static final String FEDERATED_IDENTITY_REMOVING_LAST_PROVIDER

      See Also:
        Constant Field Values

    - #### IDENTITY_PROVIDER_REDIRECT_ERROR

          public static final String IDENTITY_PROVIDER_REDIRECT_ERROR

      See Also:
        Constant Field Values

    - #### IDENTITY_PROVIDER_REMOVED

          public static final String IDENTITY_PROVIDER_REMOVED

      See Also:
        Constant Field Values

    - #### MISSING_PARAMETER

          public static final String MISSING_PARAMETER

      See Also:
        Constant Field Values

    - #### CLIENT_NOT_FOUND

          public static final String CLIENT_NOT_FOUND

      See Also:
        Constant Field Values

    - #### INVALID_PARAMETER

          public static final String INVALID_PARAMETER

      See Also:
        Constant Field Values

    - #### IDENTITY_PROVIDER_LOGIN_FAILURE

          public static final String IDENTITY_PROVIDER_LOGIN_FAILURE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Messages

          public Messages()

Copyright © 2015. All rights reserved.